Update Negative Keywords

Update current state and bid of existing negative keywords using PUT operation mentioned below.

📘

URL: PUT /api/v1/negative_keywords

Query Parameters

ParameterDescriptionTypeRequiredPossible Values
keywordIdThe ID of the keywordstringYA valid keyword ID
stateThe current state of the negative keyword resourcestringYenabled
paused
archived

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATUREAuth signature as an API key.YUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value
Content-TypeFormat of the message bodyYapplication/json

Sample Request

curl -X POST \
'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/negative_keywords' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ --header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \
--header 'Content-Type: application/json' \
--data '{ "keywordId": 600001, "state": "paused" }'

Response

ElementDescriptionType
keywordIdID of the keywordinteger
codeDetails of the error if value of response code is failurestring
detailsID of the keywordinteger

Sample Response

[ { "code": "success", "details": "", " keywordId ": 600001 }
]

Did this page help you?